#
# Conditional build:
%bcond_without	python2	# CPython 2.x module
%bcond_without	python3	# CPython 3.x module

Summary:	Python 2 bindings for NSS and NSPR
Summary(pl.UTF-8):	Wiązania Pythona 2 do bibliotek NSS i NSPR
Name:		python-nss
Version:	1.0.1
Release:	11
License:	MPL v2.0 or GPL v2+ or LGPL v2+
Group:		Development/Languages/Python
Source0:	http://ftp.mozilla.org/pub/security/python-nss/releases/PYNSS_RELEASE_1_0_1/src/%{name}-%{version}.tar.bz2
# Source0-md5:	8c7fc2b76122d9d950138c61c876e2ee
Patch0:		type-conflicts.patch
Patch1:		no-stdarg-proto-check.patch
URL:		http://www.mozilla.org/projects/security/pki/nss/
BuildRequires:	nspr-devel >= 4
BuildRequires:	nss-devel >= 3
%{?with_python2:BuildRequires:	python-devel >= 1:2.7}
%{?with_python3:BuildRequires:	python3-devel >= 1:3.2}
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python-libs >= 1:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Python 2 bindings for Network Security Services (NSS) and Netscape
Portable Runtime (NSPR).

%description -l pl.UTF-8
Wiązania Pythona 2 do bibliotek NSS (Network Security Services) oraz
NSPR (Netscape Portable Runtime).

%package -n python3-nss
Summary:	Python 3 bindings for NSS and NSPR
Summary(pl.UTF-8):	Wiązania Pythona 3 do bibliotek NSS i NSPR
Group:		Development/Languages/Python
Requires:	python3-libs >= 1:3.2

%description -n python3-nss
Python 3 bindings for Network Security Services (NSS) and Netscape
Portable Runtime (NSPR).

%description -n python3-nss -l pl.UTF-8
Wiązania Pythona 3 do bibliotek NSS (Network Security Services) oraz
NSPR (Netscape Portable Runtime).

%prep
%setup -q
%patch -P 0 -p1
%patch -P 1 -p1

%build
%if %{with python2}
%py_build
%endif

%if %{with python3}
%py3_build
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc README doc/ChangeLog
%dir %{py_sitedir}/nss
%{py_sitedir}/nss/__init__.py[co]
%attr(755,root,root) %{py_sitedir}/nss/error.so
%attr(755,root,root) %{py_sitedir}/nss/io.so
%attr(755,root,root) %{py_sitedir}/nss/nss.so
%attr(755,root,root) %{py_sitedir}/nss/ssl.so
%{py_sitedir}/python_nss-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-nss
%defattr(644,root,root,755)
%doc README doc/ChangeLog
%dir %{py3_sitedir}/nss
%{py3_sitedir}/nss/__init__.py
%{py3_sitedir}/nss/__pycache__
%attr(755,root,root) %{py3_sitedir}/nss/error.cpython-*.so
%attr(755,root,root) %{py3_sitedir}/nss/io.cpython-*.so
%attr(755,root,root) %{py3_sitedir}/nss/nss.cpython-*.so
%attr(755,root,root) %{py3_sitedir}/nss/ssl.cpython-*.so
%{py3_sitedir}/python_nss-%{version}-py*.egg-info
%endif
%changelog
* Thu May 08 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-nss.git;a=log;h=master

* Thu May 08 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 1f3a056
- Rel 11; build fix

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> e8c69a3
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> a1ab1c7
- python 3.13 rebuild

* Sun Mar 09 2025 Jan Rękorajski <baggins@pld-linux.org> 5e52fb6
- use patch -P

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> c39e74f
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> dc08c67
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> df9ce0b
- rebuild with python 3.10

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> 721ef9b
- rebuild with separate debuginfo build-ids

* Tue Mar 09 2021 Jan Rękorajski <baggins@pld-linux.org> 6361362
- fix type conflicts between recent nss libs and python interface
- rel 4

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 0043552
- rebuild with python 3.8
- release 3 (by relup.sh)

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 3dd00b3
- release 2 (by relup.sh)

* Wed Mar 08 2017 Jakub Bogusz <qboosh@pld-linux.org> 3ab5cb1
- updated to 1.0.1

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> bc0e880
- python 3.6
- release 2 (by relup.sh)

* Wed Nov 02 2016 Jakub Bogusz <qboosh@pld-linux.org> 62212cf
- updated to 1.0.0; python3 module added

* Mon Aug 22 2016 Jakub Bogusz <qboosh@pld-linux.org> d8a898f
- updated to 0.17.0

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> e3aa5ee
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 6d8def4
- release 2 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> bbd373c
- automatic change: use py_build/py_install macros

* Tue Oct 28 2014 Jakub Bogusz <qboosh@pld-linux.org> 48b3db1
- updated to 0.16.0

* Sun Oct 19 2014 Jakub Bogusz <qboosh@pld-linux.org> 55b6f7c
- updated to 0.15.0
- removed obsolete format patch

